Subject: Re: bug#25705: [PATCH] gnu: python-matplotlib: Don't propagate python-numpy-bootstrap.

From: Marius Bakke <[email-masked]>
Date: Mon, 13 Feb 2017 21:48:09 +0100

Thomas Danckaert <[email-masked]> writes:

> (continuing the discussion from 
> https://lists.gnu.org/archive/html/guix-devel/2017-01/msg02239.html)
>
> From: Marius Bakke <[email-masked]>
> Subject: Re: [PATCH] gnu: python-matplotlib: Don't propagate 
> python-numpy-bootstrap.
> Date: Fri, 27 Jan 2017 20:57:12 +0100
>
>>> This patch works around it by creating an intermediate
>>> python-matplotlib-bootstrap package as well, which is then used as 
>>> a
>>> native input to generate the documentation of python-numpy.
>>> python-numpy is then used as a propagated input of 
>>> python-matplotlib,
>>> so python-numpy-bootstrap doesn't appear in user's profiles 
>>> anymore.
>>>
>>> What do you think?
>>
>> This sounds sensible. Does numpy not require any matplotlib 
>> functions at
>> runtime?
>
> No. It's just used for the documentation.  With the attached patch, 
> the dependency chain is this:
>
> matplotlib -> numpy -> matplotlib-bootstrap -> numpy-bootstrap 
> (=“numpy-without-docs”)
>
>> If so, this patch LGTM. The new matplotlib-bootstrap variables
>> should have an explaining comment though :)
>
> I've added a comment and fixed some long lines.

Hi Thomas,

Thanks for the reminder. I'm not comfortable pushing this while we don't
notice python test failures[0], but will add this as soon as the
'python-tests' branch is merged.

There are a few unresolved failures still in [1], I will work on the
list (from the bottom) over the next few days.

[0] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25177
[1] https://hydra.gnu.org/eval/109444?full=1&compare=master#tabs-now-fail